/* Variables */
:root {
    --noir: #333;
    --blanc: #fff;
    --fondpage:#fdfcfc;
    --fondsection: #ececec;
    /*--rouge: #9e2b2b;*/
    --rouge: #800000;
    --rougeclair: #bf7b7b;
    --ligne : #999;
    --sitewidth : 1024px;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    color: var(--noir);
    background-color: var(--fondpage);
}

h1 {
    font-size: 1.2rem;
    text-align: center;
    margin:5px;
}

h2 {
    font-size: 0.7rem;
    text-align: center;
    margin:3px;
}

.texte-rouge {
    color: var(--rouge);
}

.site-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
}

.site-frame {
    width: var(--sitewidth);
}

.banner {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    border-bottom: 1px solid var(--ligne);
    div {
        align-self: top
    }
}


.logo {
    height:5rem;
    width:auto;
    margin-bottom:3px;
    margin-right:10px;
    margin-left:5px;
    margin-top:5px;
}

.titre-banner {
    height:5rem;
    width:100%;
    img {
        width:2rem;
        height:auto;
        margin-right:5px;
        margin-left:5px;
    }
}


.titre-social {
    display: flex;
    float:center;
    flex-direction: row;
    justify-content: center;
    margin-top:5px;
    margin-right:5px;
    text-decoration: none;
}

nav {
    ul {
        list-style: none;
        margin: 0;
        padding: 0;
        width: 100%;
        position: relative;
        border-bottom: 1px solid var(--ligne);
        background-color:var(--rouge);
    }
    li {
        float: left;
        height: 100%;
        width: 100%;
        margin: 0;
        padding: 0;
    }
    a {
        display: flex;
        padding: 0.5em 1em;
        border-bottom: 1px solid var(--ligne);
        width: 100%;
        height: 100%;
        justify-content: center;
        align-items: center;
        color: var(--blanc);
        text-decoration: none;
        font-size: 100%;
        font-weight : bold;
        background-color:var(--rouge);
    }
    a:hover {
        background-color: var(--rougeclair);
    }
    a.active {
        color: var(--rouge);
        pointer-events: none;
    }
}

.framesection {
    width: 100%;
    float : left;
    position: relative;
    border-top: 1px solid var(--ligne);
    color:var(--noir);
    font-size:0.8rem;
    padding:10px;
    padding-top:20px;
}

.titresection {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    font-size:1.3rem;
    font-weight:bold;
    justify-content: center;
}

.titresection span::before {
    content: "";
    display: inline-block;
    width: 17px;
    height: 17px;
    background-image: url("../image/papillon.svg");
    background-size: contain;
    background-repeat: no-repeat;
    margin-right: 5px;
}

.footer {
    display:flex;
    flex-direction: column;
    text-align: center;
    padding: 10px;
    font-size:0.7rem;
    border-top: 1px solid var(--ligne);
    background-color: var(--fondsection);
    a {
        text-decoration: none;
    }
    a:link {color: var(--noir);}
    a:visited {color: var(--noir);}
    a:hover {color: var(--rouge); text-decoration: underline;}
    a:active {color: var(--noir);}
}

/*
.ml {
    float:left;
    font-size:0.7rem;
    margin:10px;
}
*/

.card-container {
    display: flex;
    float:left;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    width:100%;
    list-style: none;
    padding:0;
    margin:0;
    padding-top: 10px;
    padding-bottom: 10px;
    width: 100%;
    position: relative;
    background-color: var(--fondsection);
    a {
        text-decoration: none;
    }
}

.card {
    height:auto;
    width:175px;
    margin-bottom:3px;
    margin-top:3px;
    margin-right:5px;
    margin-left:5px;
    h2 {
        color: var(--noir);
        font-weight: bold;
    }
    img:hover {
        transform: translateY(-5px);
        box-shadow: 0 6px 15px rgba(0,0,0,0.2);
    }
    img {
        height:auto;
        width:100%;
        border-radius:8px;
        border: 1px solid var(--rouge);
        box-shadow: 0 4px 8px rgba(0,0,0,0.1);
        transition: transform 0.3s, box-shadow 0.3s;
    }
}




/*
 * @media (min-width: 375px) {
 *  nav li {
 *    width: 100%;
 *  }
 * }
 *
 * @media (min-width: 576px) {
 *  nav li {
 *    width: 100%;
 *  }
 * }
 */
@media (min-width: 768px) {
    nav li {
        width: 15em;
        height: 2em;
    }
    nav ul {
        height: 2em;
    }
}

@media (min-width: 992px) {
    nav li {
        width: 15em;
        height: 1,5em;
    }
    nav ul {
        height: 1,5em;
    }

    nav a {
        font-size: 80%;
    }

    .card {
        width:320px;
    }
    .card h2 {
        font-size:0.9rem;
    }
}

@media (min-width: 1200px) {
    nav li {
        width: 15em;
        height: 1,5em;
    }
    nav ul {
        height: 1,5em;
    }

    nav a {
        font-size: 80%;
    }
    nav a {
        font-size: 80%;
    }
}
